XNEC2C(1)

NAME
xnec2c - a GTK+ graphical interactive version of nec2c, a translation to C of the FORTRAN application NEC2

SYNOPSIS

    xnec2c [-ijhvPVb] <input-file-name>

DESCRIPTION
    -i|--input <input-file-name>
    -j|--jobs <number of processors in SMP machine> (-j0 disables forking)
    -b|--batch: enable batch mode, exit after the frequency loop runs
       --optimize: Activate the optimizer immediately.
    -P|--no-pthreads: disable pthreads and use the GTK loop for debugging
    -h|--help: print usage information and exit
    -V|--version: print xnec2c version number and exit
    -v|--verbose: increase verbosity, can be specified multiple times
    -d|--debug: enable debug output (-dd includes backtraces)
    -d|--quiet: suppress debug/verbose output
    The following arguments write to an output file after the frequency loop completes. These are useful to combine with --batch:
      --write-csv <filename> - write CSV file of measurements
      --write-s1p <filename> - write S1P file of S-parameters
      --write-s2p-max-gain <filename> - write S2P file, port-2 is max-gain
      --write-s2p-viewer-gain <filename> - write S2P file, port-2 is viewer-gain
      --write-rdpat <filename> - write CSV of the radiation pattern
      --write-currents <filename> - write CSV of currents and charges

SEE ALSO
Full documentation is available at the official website for xnec2c In addition, the full documentation for xnec2c is maintained as an html document. If the xnec2c program is properly installed at your site, a command like

    firefox /usr/local/share/doc/xnec2c/xnec2c.html

should give you access to the complete manual.